<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$ubigeos = $ges->get_ubigeo();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['REGISTRAR'])){

				require_once("./view/registrar_almacen.phtml");
				
			}

			// REGISTRAR ALMACÉN

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				if( isset($_POST['almacen']) && isset($_POST['descripcion']) && isset($_POST['ubigeo']) && isset($_POST['direccion']) ){

					$validacion = $ges->get_validar_almacen(trim($_POST['almacen']));

					if($validacion['total'] == 0){

						$resultado = $ges->set_almacen( trim($_POST['almacen']) , $_POST['descripcion'] , $_POST['ubigeo'] , $_POST['direccion'] );
						
						echo'<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="almacenes.php";</script>';
					}else{

						echo'<script type="text/javascript">alert("EL ALMACÉN YA EXISTE");window.location.href="almacenes.php";</script>';

					}

				}else{

					echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="almacenes.php";</script>';

				}



			}

			// VALIDAR USUARIO

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}


?>